[alias]
fmt-all = "fmt --all"
lint = "clippy --all-targets --all-features -- -D warnings"

[build]
rustflags = [
  "-D",
  "warnings",
  "-D",
  "future-incompatible",
  "-D",
  "let-underscore",
  "-D",
  "nonstandard-style",
  "-D",
  "rust-2018-compatibility",
  "-D",
  "rust-2018-idioms",
  "-D",
  "rust-2021-compatibility",
  "-D",
  "unused",
]
